> ## Documentation Index
> Fetch the complete documentation index at: https://developers.untetherlabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

#  Get Role

Fetch Role


## OpenAPI

````yaml /openapi.json get /v1/roles/{roleId}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Untether Labs API
servers:
  - url: https://app.untetherlabs.com/api
    description: Untether Labs Production API
    x-speakeasy-server-id: production
security:
  - BearerAuth: []
paths:
  /v1/roles/{roleId}:
    get:
      summary: ' Get Role'
      operationId: v1_roles__roleId__getRole
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: roleId
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Role'
        '400':
          description: >-
            We follow the
            [RFC-9457](https://www.rfc-editor.org/rfc/rfc9457.html) Problem
            Detail specification for error responses.


            Errors should be identified by their `type` field. You can view
            extensions for each error response below.
          content:
            application/problem+json:
              schema:
                oneOf:
                  - allOf:
                      - type: object
                        properties:
                          type:
                            type: string
                          status:
                            type: integer
                            description: Always the HTTP status code of the response
                            example: 400
                          title:
                            type: string
                            description: >-
                              A short, human-readable summary of the problem
                              type
                          detail:
                            type: string
                            description: >-
                              A human-readable explanation specific to this
                              occurrence of the problem
                            example: >-
                              The specified provider does not satisfy the skill
                              requirements for this shift.
                        required:
                          - type
                          - status
                          - title
                      - type: object
                        properties:
                          path:
                            type: string
                          message:
                            type: string
                          type:
                            type: string
                            enum:
                              - >-
                                https://developers.untetherlabs.com/errors#validation
                          title:
                            type: string
                            example: Input validation failed.
                        required:
                          - message
                          - type
                          - title
                    title: Validation
        '404':
          description: >-
            We follow the
            [RFC-9457](https://www.rfc-editor.org/rfc/rfc9457.html) Problem
            Detail specification for error responses.


            Errors should be identified by their `type` field. You can view
            extensions for each error response below.
          content:
            application/problem+json:
              schema:
                oneOf:
                  - allOf:
                      - type: object
                        properties:
                          type:
                            type: string
                          status:
                            type: integer
                            description: Always the HTTP status code of the response
                            example: 400
                          title:
                            type: string
                            description: >-
                              A short, human-readable summary of the problem
                              type
                          detail:
                            type: string
                            description: >-
                              A human-readable explanation specific to this
                              occurrence of the problem
                            example: >-
                              The specified provider does not satisfy the skill
                              requirements for this shift.
                        required:
                          - type
                          - status
                          - title
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - >-
                                https://developers.untetherlabs.com/errors#role-not-found
                          title:
                            type: string
                            example: A specified role does not exist in the system.
                        required:
                          - type
                          - title
                    title: Role Not Found
components:
  schemas:
    Role:
      type: object
      properties:
        id:
          type: string
          format: uuid
        createdAt:
          type: string
          example: 2024-11-20T07:43:34+0000
        name:
          type: string
          example: Care Coordinator
        team:
          type: string
          format: uuid
        teamName:
          type: string
        hexColor:
          type: string
          example: '#6941c6'
      required:
        - id
        - createdAt
        - name
        - team
        - teamName
        - hexColor
      id: Role
      x-speakeasy-group: v1.roles
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````